Bug 1573261 - Raspberry Pi 3 B+ AArch64 "Rx: failed to receive: -5"
Summary: Raspberry Pi 3 B+ AArch64 "Rx: failed to receive: -5"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 28
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-04-30 16:07 UTC by Paul Whalen
Modified: 2018-06-28 14:08 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-28 14:08:05 UTC


Attachments (Terms of Use)

Description Paul Whalen 2018-04-30 16:07:02 UTC
Description of problem:
When booting the F28 AArch64 disk images on the Raspberry Pi 3 B+, in U-Boot there are repeated messages:

Rx: failed to receive: -5

Eventually the kernel boots to log in. 

Version-Release number of selected component (if applicable):
uboot-tools-2018.03-5.fc28
bcm283x-firmware-20180416-1.a154f21.fc28

Comment 1 Tom Lane 2018-05-06 04:36:01 UTC
I'm also seeing this on a 3B+.  It seems to interact somehow with the too-many-USB-devices bug: if I have enough stuff connected to trigger "Timeout poll on interrupt endpoint" then I don't see it.

Comment 2 Joseph Callen 2018-05-10 17:08:12 UTC
Me too.  Unfortunately my rpi3b+ was unable to get past the "Rx: failed to receive: -5"

I had to use an external usb ethernet device and just wait for lan78xx_eth timeout.


Versions:
uboot-tools-2018.03-5.fc28
bcm283x-firmware-20180416-1.a154f21.fc28
kernel-4.16.7-300.fc28

Comment 3 Tom Lane 2018-05-26 22:29:47 UTC
Additional datum: if there's no ethernet cable connected, I see a timeout almost immediately and no "Rx: failed to receive: -5" messages.  So if you're using an external USB network dongle anyway, this is basically not a problem, just don't connect a cable to the built-in ethernet.

Still, it'd be nice not to have to use the extra hardware.

BTW, the "Timeout poll" message I mentioned in comment #1 now seems like it's possibly an incompatibility with the ancient Apple USB keyboard I'm using.  It's now fairly clear that it has nothing to do with the number of USB devices plugged in, as I first thought.  I can get around it by not plugging in the keyboard till after U-Boot advances past its initial wait-2-seconds timeout.

uboot-tools-2018.03-5.fc28.aarch64

Comment 4 Fedora Update System 2018-06-19 20:40:48 UTC
uboot-tools-2018.03-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-faae97d0c2

Comment 5 Fedora Update System 2018-06-20 16:08:33 UTC
uboot-tools-2018.03-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-faae97d0c2

Comment 6 Fedora Update System 2018-06-28 14:08:05 UTC
uboot-tools-2018.03-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.